Subject: [Nfvrg] RG adoption of draft-bernardos-nfvrg-gaps-network-virtualization

From: DIEGO LOPEZ GARCIA <[email-masked]>
Date: Sun, 6 Dec 2015 00:05:57 +0000

Hi,

This message is to open a two-week adoption call for draft-bernardos-nfvrg-gaps-network-virtualization, as a non-permanet document not specifically associated with any of the special interest areas.

Please indicate in your comments “support” or “no support” and discuss how this draft will contribute to a better understanding of NFV technologies and their relation with other ongoing work.

The current draft is available at:

https://datatracker.ietf.org/doc/draft-bernardos-nfvrg-gaps-network-virtualization/

Be goode,

--
"Esta vez no fallaremos, Doctor Infierno"

Dr Diego R. Lopez
Telefonica I+D
http://people.tid.es/diego.lopez/

e-mail: [email-masked]
Tel:    +34 913 129 041
Mobile: +34 682 051 091
----------------------------------

________________________________

Este mensaje y sus adjuntos se dirigen exclusivamente a su destinatario, puede contener información privilegiada o confidencial y es para uso exclusivo de la persona o entidad de destino. Si no es usted. el destinatario indicado, queda notificado de que la lectura, utilización, divulgación y/o copia sin autorización puede estar prohibida en virtud de la legislación vigente. Si ha recibido este mensaje por error, le rogamos que nos lo comunique inmediatamente por esta misma vía y proceda a su destrucción.

The information contained in this transmission is privileged and confidential information intended only for the use of the individual or entity named above. If the reader of this message is not the intended recipient, you are hereby notified that any dissemination, distribution or copying of this communication is strictly prohibited. If you have received this transmission in error, do not read it. Please immediately reply to the sender that you have received this communication in error and then delete it.

Esta mensagem e seus anexos se dirigem exclusivamente ao seu destinatário, pode conter informação privilegiada ou confidencial e é para uso exclusivo da pessoa ou entidade de destino. Se não é vossa senhoria o destinatário indicado, fica notificado de que a leitura, utilização, divulgação e/ou cópia sem autorização pode estar proibida em virtude da legislação vigente. Se recebeu esta mensagem por erro, rogamos-lhe que nos o comunique imediatamente por esta mesma via e proceda a sua destruição

---

From: DIEGO LOPEZ GARCIA <[email-masked]>
Date: Sun, 13 Dec 2015 20:50:43 +0000

Hi,

This is a reminder to all of you in the NVRG about this adoption call. So far, no answer has been received.

Be goode,

On 6 Dec 2015, at 01:05 , DIEGO LOPEZ GARCIA <[email-masked]<mailto:[email-masked]>> wrote:

Hi,

Be goode,

Dr Diego R. Lopez
Telefonica I+D

e-mail: [email-masked]<mailto:[email-masked]>
Tel:    +34 913 129 041
Mobile: +34 682 051 091
----------------------------------

Esta mensagem e seus anexos se dirigem exclusivamente ao seu destinatário, pode conter informação privilegiada ou confidencial e é para uso exclusivo da pessoa ou entidade de destino. Se não é vossa senhoria o destinatário indicado, fica notificado de que a leitura, utilização, divulgação e/ou cópia sem autorização pode estar proibida em virtude da legislação vigente. Se recebeu esta mensagem por erro, rogamos-lhe que nos o comunique imediatamente por esta mesma via e proceda a sua destruição
_______________________________________________
Nfvrg mailing list
[email-masked]<mailto:[email-masked]>
https://www.irtf.org/mailman/listinfo/nfvrg

Dr Diego R. Lopez
Telefonica I+D

---

From: Kostas Pentikousis <[email-masked]>
Date: Mon, 14 Dec 2015 10:48:20 +0100

Dear Chairs, all,

Personally, I would have liked to see a bit more of RFC 7426 aspects incorporated. RFC 7426 is rather minimally presented now, and I’m not sure why the sibling SDNRG work appears so late in the document (sec. 4.11). I think that RFC 7426 should be part of the early parts of the document, including sec. 2 (Terminology, e.g. CP, MP, and network device etc. are very well defined therein) and sec. 3 (Background). I’m not convinced why “architectures” from other SDOs have to take precedence also in terms of diagrams included in this I-D.

With respect to IPPM (sec. 4.9), there’s ongoing effort to define a YANG model for the protocol (see https://datatracker.ietf.org/doc/draft-cmzrjp-ippm-twamp-yang/). I think this fits very well (along with other similar efforts) in the automation and orchestration strand of this document and is currently not covered.

Editorial comments: First, I think the abstract needs to be reduced (remove first 2 paragraphs maybe) to focus on the contribution of this document. Second, although I like the current grouping from the pov of a survey, I think it that it does not address the needs of the primary audience in my mind. I propose that instead of making the analysis on a per-SDO/WG line of work, the respective sections should be edited to address research and standardization topics, which admittedly may be covered by different groups. After all, this document cannot authoritatively do the gap analysis for the respective SDOs/WGs, but it can identify missing elements and future work on a per-topic basis. Third, I think a broader coverage of research work in this area should be included in an upcoming version of the document. Finally, I guess the authors will update the draft as there have been a number of developments since September (an obvious one is the publication of RFC 7665).

I commented positively on this draft before, and I think it should be adopted by NFVRG . It’s clear that the authors have done a very good job so far, but the document will benefit the most if this becomes the collective result of the RG. That means that more points of view could be integrated as well.

Best regards,

Kostas

From: DIEGO LOPEZ GARCIA [mailto:[email-masked]]
Sent: Sonntag, 6. Dezember 2015 01:06
To: [email-masked]
Subject: [Nfvrg] RG adoption of draft-bernardos-nfvrg-gaps-network-virtualization

Hi,

Be goode,

Dr Diego R. Lopez
Telefonica I+D

---

From: Rana Pratap Sircar <[email-masked]>
Date: Mon, 14 Dec 2015 10:26:23 +0000

Hi Diego,

While it is OK, there are some minor Typos e.g.,

1.       Abstract (para 1) last sentence uses – “they way they”. If I am not wrong, first “they” should be “the”…

2.       Abstract says “server farms scattered”. While intent of the sentence is OK and implicit, but somehow, word “scattered” gives a feeling that the server farms are placed in an ad-hoc way…

3.       SDN controller – only ODL is mentioned. I am not sure if that is by intent or a miss. OPNFV, for example, talks of ODL, ONOS and OpenContrail etc. While, personally I would like to see ODL only, but as a Gap analysis, I wonder if missing other controllers is a fair statement.

Best Regards,
Rana

From: Nfvrg [mailto:[email-masked]] On Behalf Of DIEGO LOPEZ GARCIA
Sent: Monday, December 14, 2015 2:21 AM
To: [email-masked]
Subject: Re: [Nfvrg] RG adoption of draft-bernardos-nfvrg-gaps-network-virtualization

Hi,

Be goode,

Hi,

Be goode,

Dr Diego R. Lopez
Telefonica I+D

Dr Diego R. Lopez
Telefonica I+D

---

From: PEDRO ANDRES ARANDA GUTIERREZ <[email-masked]>
Date: Mon, 14 Dec 2015 11:35:54 +0000

+1

De: Nfvrg <[email-masked]<mailto:[email-masked]>> en nombre de DIEGO LOPEZ GARCIA <[email-masked]<mailto:[email-masked]>>
Fecha: domingo, 13 de diciembre de 2015, 21:50
Para: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Asunto: Re: [Nfvrg] RG adoption of draft-bernardos-nfvrg-gaps-network-virtualization

Hi,

Be goode,

Hi,

Be goode,

Dr Diego R. Lopez
Telefonica I+D

Dr Diego R. Lopez
Telefonica I+D

---
Dr. Pedro A. Aranda Gutiérrez

Technology Exploration -
Network Innovation & Virtualisation
email: pedroa d0t aranda At telefonica d0t com
Telefónica, Investigación y Desarrollo
C/ Zurbarán,12
28010 Madrid, Spain

Fragen sind nicht da, um beantwortet zu werden.
Fragen sind da, um gestellt zu werden.
Georg Kreisler

---

From: "MORTON, ALFRED C (AL)" <[email-masked]>
Date: Mon, 14 Dec 2015 07:51:32 -0500

After seeing the draft presented in Yokohama and
checking the ToC and text again today, I must point out
another omission in this Gap analysis, in that it fails
to include the work on NFVI Benchmarking in the BMWG
in the survey of activities in IETF/IRTF.
This work has been on BMWG’s charter for 18 months, and
there are 6 or more active drafts on this topic.

(and, one of the drafts presented in Yokohama described
the BMWG and one of their chartered items)

regards,
Al

From: Nfvrg [mailto:[email-masked]] On Behalf Of Kostas Pentikousis
Sent: Monday, December 14, 2015 4:48 AM
To: DIEGO LOPEZ GARCIA; [email-masked]
Subject: Re: [Nfvrg] RG adoption of draft-bernardos-nfvrg-gaps-network-virtualization

Dear Chairs, all,

Best regards,

Kostas

From: DIEGO LOPEZ GARCIA [mailto:[email-masked]]
Sent: Sonntag, 6. Dezember 2015 01:06
To: [email-masked]<mailto:[email-masked]>
Subject: [Nfvrg] RG adoption of draft-bernardos-nfvrg-gaps-network-virtualization

Hi,

Be goode,

Dr Diego R. Lopez
Telefonica I+D

---

From: Linda Dunbar <[email-masked]>
Date: Mon, 14 Dec 2015 20:58:16 +0000

Support.

Linda

Hi,

Be goode,

Hi,

Be goode,

Dr Diego R. Lopez
Telefonica I+D

Dr Diego R. Lopez
Telefonica I+D

---

Technology Exploration -

---

From: Rafa Marin Lopez <[email-masked]>
Date: Mon, 14 Dec 2015 23:21:08 +0100

I also support it.  I already sent my comments that were properly handled by the authors.

Enviado desde mi iPhone

> El 14 dic 2015, a las 21:58, Linda Dunbar <[email-masked]> escribió:
> 
> Support.
>  
> Linda
>  
> De: Nfvrg <[email-masked]> en nombre de DIEGO LOPEZ GARCIA <[email-masked]>
> Para: "[email-masked]" <[email-masked]>
> On 6 Dec 2015, at 01:05 , DIEGO LOPEZ GARCIA <[email-masked]> wrote:
>  
> Hi,
>  
> [email-masked]
> [email-masked]

---

From: Carlos Jesús Bernardos Cano <[email-masked]>
Date: Wed, 23 Dec 2015 09:34:11 +0100

Dear Kostas,

Thanks for your review and positive comments. We'll address them in the
next revision of the document. Please find some additional comments
from our side in line below.

On Mon, 2015-12-14 at 10:48 +0100, Kostas Pentikousis wrote:
> Dear Chairs, all,
>  
> Personally, I would have liked to see a bit more of RFC 7426 aspects
> incorporated. RFC 7426 is rather minimally presented now, and I’m not
> sure why the sibling SDNRG work appears so late in the document (sec.
> 4.11). I think that RFC 7426 should be part of the early parts of the
> document, including sec. 2 (Terminology, e.g. CP, MP, and network
> device etc. are very well defined therein) and sec. 3 (Background).
> I’m not convinced why “architectures” from other SDOs have to take
> precedence also in terms of diagrams included in this I-D.

[Carlos] We'll incorporate terms from 7426 into our terminology
section, which I agree now it is mostly NFV-based. We will also move
SDNRG work before in the document, as well as include the architecture
diagram into our section 3.2 (which now is based on ONF).

>  
> With respect to IPPM (sec. 4.9), there’s ongoing effort to define a
> YANG model for the protocol (see
> https://datatracker.ietf.org/doc/draft-cmzrjp-ippm-twamp-yang/). I
> think this fits very well (along with other similar efforts) in the
> automation and orchestration strand of this document and is currently
> not covered.

[Carlos] OK, thanks. We'll add it.

>  
> Editorial comments: First, I think the abstract needs to be reduced
> (remove first 2 paragraphs maybe) to focus on the contribution of
> this document. Second, although I like the current grouping from the 

[Carlos] OK. We'll reduce the abstract in the next revision of the
draft.

> pov of a survey, I think it that it does not address the needs of the
> primary audience in my mind. I propose that instead of making the
> analysis on a per-SDO/WG line of work, the respective sections should
> be edited to address research and standardization topics, which
> admittedly may be covered by different groups. After all, this
> document cannot authoritatively do the gap analysis for the
> respective SDOs/WGs, but it can identify missing elements and future
> work on a per-topic basis. Third, I think a broader coverage of 

[Carlos] We fully agree on this. We were actually thinking of doing a
change of the way we present the content. We are not yet 100% sure on
how we'll do it, but it is aligned with your view.

[Carlos] Related to this, we are also considering giving the document
also a flavor of "research challenges" (similar to what is done
in draft-irtf-icnrg-challenges). This will probably increase the
usefulness of the document and will be very helpful for the RG. What do
you think about this idea?

> research work in this area should be included in an upcoming version
> of the document. Finally, I guess the authors will update the draft
> as there have been a number of developments since September (an
> obvious one is the publication of RFC 7665).

[Carlos] OK. Thanks. We'll do it.

>  
> I commented positively on this draft before, and I think it should be
> adopted by NFVRG . It’s clear that the authors have done a very good
> job so far, but the document will benefit the most if this becomes
> the collective result of the RG. That means that more points of view
> could be integrated as well.

[Carlos] Thanks.

Kind regards,

Carlos

> This message is to open a two-week adoption call for draft-bernardos-
> nfvrg-gaps-network-virtualization, as a non-permanet document not
> specifically associated with any of the special interest areas.
>  
> Please indicate in your comments “support” or “no support” and
> discuss how this draft will contribute to a better understanding of
> NFV technologies and their relation with other ongoing work.
>  
> Este mensaje y sus adjuntos se dirigen exclusivamente a su
> destinatario, puede contener información privilegiada o confidencial
> y es para uso exclusivo de la persona o entidad de destino. Si no es
> usted. el destinatario indicado, queda notificado de que la lectura,
> utilización, divulgación y/o copia sin autorización puede estar
> prohibida en virtud de la legislación vigente. Si ha recibido este
> mensaje por error, le rogamos que nos lo comunique inmediatamente por
> esta misma vía y proceda a su destrucción.
> 
> The information contained in this transmission is privileged and
> confidential information intended only for the use of the individual
> or entity named above. If the reader of this message is not the
> intended recipient, you are hereby notified that any dissemination,
> distribution or copying of this communication is strictly prohibited.
> If you have received this transmission in error, do not read it.
> Please immediately reply to the sender that you have received this
> communication in error and then delete it.
> 
> Esta mensagem e seus anexos se dirigem exclusivamente ao seu
> destinatário, pode conter informação privilegiada ou confidencial e é
> para uso exclusivo da pessoa ou entidade de destino. Se não é vossa
> senhoria o destinatário indicado, fica notificado de que a leitura,
> utilização, divulgação e/ou cópia sem autorização pode estar proibida
> em virtude da legislação vigente. Se recebeu esta mensagem por erro,
> rogamos-lhe que nos o comunique imediatamente por esta mesma via e
> proceda a sua destruição

---

From: Carlos Jesús Bernardos Cano <[email-masked]>
Date: Wed, 23 Dec 2015 09:34:16 +0100

On Mon, 2015-12-14 at 07:51 -0500, MORTON, ALFRED C (AL) wrote:
> YANG model for the protocol (see https://datatracker.ietf.org/doc/dra
> ft-cmzrjp-ippm-twamp-yang/). I think this fits very well (along with
> other similar efforts) in the automation and orchestration strand of
> this document and is currently not covered.
>

---

From: Carlos Jesús Bernardos Cano <[email-masked]>
Date: Wed, 23 Dec 2015 09:34:19 +0100

Hi Alfred,

Thanks for pointing out this. We will include it in the next revision
of the document.

Carlos

---

From: Carlos Jesús Bernardos Cano <[email-masked]>
Date: Wed, 23 Dec 2015 12:53:17 +0100

Dear Rana,

Thanks for your comments. Please see comments from our side inline
below.

On Mon, 2015-12-14 at 10:26 +0000, Rana Pratap Sircar wrote:
> 1.       Abstract (para 1) last sentence uses – “they way they”. If I
> am not wrong, first “they” should be “the”…

[Carlos] Thanks. Yes. You are right. We will probably rewrite the
abstract (in order to shorten it as suggested by Kostas), but we'll
keep this in mind to fix this.

> 2.       Abstract says “server farms scattered”. While intent of the
> sentence is OK and implicit, but somehow, word “scattered” gives a
> feeling that the server farms are placed in an ad-hoc way…

[Carlos] Thanks. Same as below.

> 3.       SDN controller – only ODL is mentioned. I am not sure if
> that is by intent or a miss. OPNFV, for example, talks of ODL, ONOS
> and OpenContrail etc. While, personally I would like to see ODL only,
> but as a Gap analysis, I wonder if missing other controllers is a
> fair statement.

[Carlos] Yes, you are right. We will cover more initiatives in the next
revision.

Thanks,

Carlos

> This is a reminder to all of you in the NVRG about this adoption
> call. So far, no answer has been received. 
>  
> Be goode,
>

---

From: "Haleplidis Evangelos" <[email-masked]>
Date: Thu, 24 Dec 2015 02:00:48 +0200

Greetings to the list,

My main concerns regarding this document have been addressed by other comments in the list, therefore I would like to support the adoption of this draft.

This is a useful document to the nfvrg.

Regards,

Evangelos.

From: Nfvrg [mailto:[email-masked]] On Behalf Of DIEGO LOPEZ GARCIA
Sent: Sunday, December 13, 2015 10:51 PM
To: [email-masked]
Subject: Re: [Nfvrg] RG adoption of draft-bernardos-nfvrg-gaps-network-virtualization

Hi, 

Be goode,

Hi, 

Be goode,

Dr Diego R. Lopez
Telefonica I+D

 

  _____  

Dr Diego R. Lopez
Telefonica I+D

  _____

---

From: <[email-masked]>
Date: Thu, 24 Dec 2015 09:06:38 +0000

Hi,

This document provides a good overview of main initiatives dealing with NFV. However, gaps regarding security and OAM are maybe too rapidly covered... IMHO,  these key points deserve a  detailed analysis, but I guess  is out the scope of this document, which is expected to be an overview. So, although I think the introduction should refer to RFC7149  when digressing on operator position face to SDN, I support adoption of this document.

Season's greetings,
Pierrick

_________________________________________________________________________________________________________________________

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc
pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler
a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,
Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law;
they should not be distributed, used or copied without authorisation.
If you have received this email in error, please notify the sender and delete this message and its attachments.
As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.
Thank you.

---

From: <[email-masked]>
Date: Sun, 27 Dec 2015 00:09:23 -0600

Support.

I have the following comments as a participant – VNFPOOL is now a WG and it is worth capturing SUPA WG too.

Thanks,
Ramki

From: Nfvrg [mailto:[email-masked]] On Behalf Of DIEGO LOPEZ GARCIA
Sent: Sunday, December 13, 2015 12:51 PM
To: [email-masked]
Subject: Re: [Nfvrg] RG adoption of draft-bernardos-nfvrg-gaps-network-virtualization

Hi,

Be goode,

Hi,

Be goode,

Dr Diego R. Lopez
Telefonica I+D

Dr Diego R. Lopez
Telefonica I+D

---

From: Carlos Jesús Bernardos Cano <[email-masked]>
Date: Sun, 27 Dec 2015 12:13:08 +0100

Thanks Ramki. We will address your comments in the next revision.

Carlos

---

From: <[email-masked]>
Date: Sun, 27 Dec 2015 18:37:38 -0600

A correction – VNFPOOL is *not* a WG. A cursory look at this webpage (https://datatracker.ietf.org/wg/vnfpool/charter/) lead to the misconception. Thanks to Hesham for pointing this out.

Thanks,
Ramki

From: Krishnan, Ramki
Sent: Saturday, December 26, 2015 10:09 PM
To: 'DIEGO LOPEZ GARCIA' <[email-masked]>; [email-masked]
Subject: RE: [Nfvrg] RG adoption of draft-bernardos-nfvrg-gaps-network-virtualization

Support.

Thanks,
Ramki

Hi,

Be goode,

Hi,

Be goode,

Dr Diego R. Lopez
Telefonica I+D

Dr Diego R. Lopez
Telefonica I+D

---

From: DIEGO LOPEZ GARCIA <[email-masked]>
Date: Thu, 31 Dec 2015 20:10:24 +0000

Hi,

With some delay due to the Christmas break and given that a sufficient number of received comments supported adoption and none was against it, this message is to declare the adoption of this draft by the RG.

Authors, please upload an updated version under the name draft-irtf-nfvrg-gaps-network-virtualization addressing the comments received.

Be goode and may the New Year bring All the Beste,

Dr Diego R. Lopez
Telefonica I+D